Home

# Class goog.testing.MultiTestRunner.TestFrame

Class used to manage the interaction with a single iframe.

extends goog.ui.Component

Instance Method Summary
| `checkForCompletion_()` Checks the active test for completion, keeping track of the tests' various execution stages.
| `createIframe_()` Creates an iframe to run the tests in. For overriding in unit tests.
| `disposeInternal()` Disposes of the component. Calls {@code exitDocument}, which is expected to remove event handlers and clean up the component. Propagates the call to the component's children, if any. Removes the component's DOM from the document unless it was decorated.
| `finish_()` Handles the TestFrame finishing a single test.
| `getReport() ⇒ string`
| `getStats() ⇒ ?Object`
| `getTestFile() ⇒ string`
| `isSuccess() ⇒ ?boolean`
| `onIframeLoaded_(?goog.events.BrowserEvent e)` Handles the iframe loading.
| `runTest(string testFile)` Runs a test file in this test frame.